<?php


class DZF_Sms_Transport_SipgateTests extends DZF_Helpers_TestCaseBase
{
    public function testSendSms()
    {
        $userName = "testUser";
        $password = "password";

        $phoneNumber = "+123456789";
        $content = "Some content";
        $params = array(
            'testParam1' => 1,
            'testParam2' => 2,
            'testParam3' => 3
        );

        $sipgate = new DZF_Sms_Transport_Sipgate($userName, $password);
        $resultSendSms = $sipgate->sendSms($phoneNumber, $content, $params);

        $this->assertEquals(false, $resultSendSms);
    }

    public function testGetXmlRpcClient()
    {
        $userName = "testUser";
        $password = "password";

        $sipgate = new DZF_Sms_Transport_Sipgate($userName, $password);
        $client = $sipgate->getXmlRpcClient();

        $this->assertEquals(get_class($client), Zend_XmlRpc_Client::class);
    }
}
