<?php

class DZF_Validate_BankAccountOwnerTests extends DZF_Helpers_TestCaseBase
{
    public function testIsValid()
    {
        $valueValid = 'Test Account Owner';
        $valueNotValid1 = 'Test Account Owner ^^^';
        $valueNotValid2 = 'Test Account OwnerTest Account OwnerTest Account OwnerTest Account OwnerTest Account';

        $bankAccountOwner = new DZF_Validate_BankAccountOwner();

        $result = $bankAccountOwner->isValid($valueValid);
        $this->assertEquals(true, $result);

        $result = $bankAccountOwner->isValid($valueNotValid1);
        $this->assertEquals(false, $result);

        $result = $bankAccountOwner->isValid($valueNotValid2);
        $this->assertEquals(false, $result);
    }
}
