<?php

class DZF_Validate_CityTests extends DZF_Helpers_TestCaseBase
{
    public function testIsValid()
    {
        $valueValid = 'Test City';
        $valueNotValid1 = 'Test City ^^^';
        $valueNotValid2 = 'Test CityTest CityTest CityTest CityTest CityTest CityTest CityTest CityTest CityTest CityTest CityTest';

        $validateCity = new DZF_Validate_City();

        $result = $validateCity->isValid($valueValid);
        $this->assertEquals(true, $result);

        $result = $validateCity->isValid($valueNotValid1);
        $this->assertEquals(false, $result);

        $result = $validateCity->isValid($valueNotValid2);
        $this->assertEquals(false, $result);
    }
}
