<?php

class DZF_Validate_EmailExistsTests extends DZF_Helpers_TestCaseBase
{
    public function testIsValid()
    {
        $valueValid = 'test1@test.com';
        $valueNotValid1 = 'test123@test.com';
        $valueNotValid2 = 'test321@test.com';

        $emailExists = new DZF_Validate_EmailExists();

        $result = $emailExists->isValid($valueValid);
        $this->assertEquals(true, $result);

        $result = $emailExists->isValid($valueNotValid1);
        $this->assertEquals(false, $result);

        $result = $emailExists->isValid($valueNotValid2);
        $this->assertEquals(false, $result);
    }
}
