<?php

class DZF_Validate_LastNameTests extends DZF_Helpers_TestCaseBase
{
    public function testIsValid()
    {
        $valueValid = 'Test last name';
        $valueNotValid1 = 'Test last name ^^^';
        $valueNotValid2 = 'Test last name Test last name Test last name Test last name Test last name Test last name Test last name';

        $lastName = new DZF_Validate_LastName();

        $result = $lastName->isValid($valueValid);
        $this->assertEquals(true, $result);

        $result = $lastName->isValid($valueNotValid1);
        $this->assertEquals(false, $result);

        $result = $lastName->isValid($valueNotValid2);
        $this->assertEquals(false, $result);
    }
}
