<?php
/**
 * DZF
 *
 * LICENSE: Redistribution and use in source and binary forms, with or without
 * modifications, are not permitted.
 *
 * @copyright Deubert IT-Solutions © 2012-2019 All rights reserved
 * @package DZF
 */

#namespace DeubertIt;

/**
 * @author Karsten Deubert <info@deubert.it>
 */

define('APPLICATION_ENV', 'testing');
define('APPLICATION_LANGUAGE', 'de');
define('APPLICATION_NAME', 'dzf');

define('TEMP_PATH', '/tmp/testing-tmp');
if (!file_exists(TEMP_PATH) || !is_dir(TEMP_PATH))
{
    mkdir(TEMP_PATH, 0777, true);
}

define('LOG_PATH', '/tmp/testing-logs');
if (!file_exists(LOG_PATH) || !is_dir(LOG_PATH))
{
    mkdir(LOG_PATH, 0777, true);
}

define('UPLOADS_PATH', '/tmp/testing-public-uploads');
if (!file_exists(UPLOADS_PATH) || !is_dir(UPLOADS_PATH))
{
    mkdir(UPLOADS_PATH, 0777, true);
}
