<?php
/**
 * DZF
 *
 * LICENSE: Redistribution and use in source and binary forms, with or without
 * modifications, are not permitted.
 *
 * @copyright Deubert IT-Solutions © 2017 All rights reserved
 * @package DZF
 */

#namespace DeubertIt;

/**
 * @author Eugene Melnik <e.melnik@luckywarepro.com>
 */
class DZF_Nagios_Formatter_LongText extends DZF_Nagios_Formatter
{
    public function __construct()
    {
        /*
         * [status] - [message]|[label]=[value][unit];[warn];[crit];[min];[max]\n
         * [long_text]
         */
        $this->_setPattern(
            "%status% - %message%|'%perfdata_label%'=%perfdata_value%%perfdata_unit%;" .
            "%threshold_warn%;%threshold_crit%;%min_value%;%max_value%" .
            "\n%long_text%"
        );
    }
}
