<?php
/**
 * DZF
 *
 * LICENSE: Redistribution and use in source and binary forms, with or without
 * modifications, are not permitted.
 *
 * @copyright Deubert IT-Solutions © 2012-2014 All rights reserved
 * @package DZF
 */

#namespace DeubertIt;

/**
 * @author Karsten Deubert <info@deubert.it>
 */
class DZF_View_Helper_FormatTimeMicroseconds extends \Zend_View_Helper_Abstract
{
    public function formatTimeMicroseconds($microseconds)
    {
        if ($microseconds >= 1000)
        {
            $bytes = number_format($microseconds / 1000, 2) . ' s';
        }
        else
        {
            $bytes = number_format($microseconds, 2) . ' ms';
        }

        return $bytes;
    }
}