<?php

class DZF_Pager_LayoutSATests extends DZF_Helpers_TestCaseBase
{
    public function testDisplay()
    {
        $expectedResult = "<div class=\"browsing\"><ul class=\"pagination\"><li class=\" disabled\"><a href=\"/test/users/1\"><i class=\"fa fa-fast-backward\"></i></a></li><li class=\"prev disabled\"><a href=\"/test/users/1\"><i class=\"glyphicon glyphicon-arrow-left\"></i></a></li><li class=\"active\"><a href=\"/test/users/1\">1</a></li><li class=\"next disabled\"><a href=\"/test/users/1\"><i class=\"glyphicon glyphicon-arrow-right\"></i></a></li><li class=\" disabled\"><a href=\"/test/users/1\"><i class=\"fa fa-fast-forward\"></i></a></li></ul>";

        $pager = new Doctrine_Pager(
            Doctrine_Query::create()
                ->from('User'),
            1,
            20
        );
        $pager->execute();
        $pagerLayout = new DZF_Pager_LayoutSA(
            $pager,
            new Doctrine_Pager_Range_Sliding(array('chunk' => 5)),
            '/test/users/{%page_number}'
        );

        $result = $pagerLayout->display(array(), true);

        $this->assertEquals($expectedResult, $result);
    }
}
