<?php

class DZF_Sms_Transport_LocalQueueTests extends DZF_Helpers_TestCaseBase
{
    public function testSendSms()
    {
        $phoneNumber = "+123456789";
        $content = "Some content";
        $params = array(
            'testParam1' => 1,
            'testParam2' => 2,
            'testParam3' => 3
        );

        $expectedQueue = array(
            0 => array(
                'phoneNumber' => $phoneNumber,
                'content' => $content,
                'params' => $params
            )
        );

        $localQueue = new DZF_Sms_Transport_LocalQueue();
        $resultSendSms = $localQueue->sendSms($phoneNumber, $content, $params);

        $this->assertEquals(true, $resultSendSms);
        $this->assertEquals($expectedQueue, $localQueue->getQueue());
    }
}
