<?php

class DZF_Validate_BLZTests extends DZF_Helpers_TestCaseBase
{
    public function testIsValid()
    {
        $valueValid = '0123456789';
        $valueNotValid1 = '0123456789 ^^^';
        $valueNotValid2 = '012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789';

        $blz = new DZF_Validate_BLZ();

        $result = $blz->isValid($valueValid);
        $this->assertEquals(true, $result);

        $result = $blz->isValid($valueNotValid1);
        $this->assertEquals(false, $result);

        $result = $blz->isValid($valueNotValid2);
        $this->assertEquals(false, $result);
    }
}
