<?php

class DZF_Validate_FirstNameTests extends DZF_Helpers_TestCaseBase
{
    public function testIsValid()
    {
        $valueValid = 'Test first name';
        $valueNotValid1 = 'Test first name ^^^';
        $valueNotValid2 = 'Test first name Test first name Test first name Test first name Test first name Test first name Test first name';

        $firstName = new DZF_Validate_FirstName();

        $result = $firstName->isValid($valueValid);
        $this->assertEquals(true, $result);

        $result = $firstName->isValid($valueNotValid1);
        $this->assertEquals(false, $result);

        $result = $firstName->isValid($valueNotValid2);
        $this->assertEquals(false, $result);
    }
}
