<?php
// Connection Component Binding
Doctrine_Manager::getInstance()->bindComponent('User', 'doctrine');

abstract class BaseDzfLogs extends Doctrine_Record
{
    public function setTableDefinition()
    {
        $this->setTableName('dzf_logs');

        $this->hasColumn(
            'id', 'integer', 8,
            array(
                'type' => 'integer',
                'length' => 8,
                'primary' => true,
                'autoincrement' => true
            )
        );
        $this->hasColumn(
            'timestamp', 'timestamp', null,
            array(
                'type' => 'timestamp',
                'notnull' => true
            )
        );
        $this->hasColumn(
            'priority', 'string', 255,
            array(
                'type' => 'string',
                'length' => 255
            )
        );

        $this->hasColumn(
            'message', 'string', 2048,
            array(
                'type' => 'text',
                'length' => 2048
            )
        );
        $this->hasColumn(
            'namespace', 'string', 255,
            array(
                'type' => 'string',
                'length' => 255
            )
        );
    }
}
